function init(){
	opened = false
}

function controlOpened(){
	if(opened){
		alert("Před odeslaním formuláře uzavřete nejdříve editační okno")
		return true
	}
	return false
}

function numberOnly (){
	if ((event.keyCode < 48) || (event.keyCode > 57)){
		event.returnValue = false;
	}
}

function open_window(url,name,width,height,options){
	if(!opened){
		window.open(url,name,'width='+width+' height='+height+' '+options)
	}
	opened = true
}

function checkDate(date){
	if(date.length != 10){
		return true;
	}
	days = date.slice(0,2)
	months = date.slice(3,5)
	year = date.slice(6,10)
	if(days > 31){
		return true;
	}
	if((months == '02' || months == '04' || months == '06' || months == '09' || months == '11') && days > 30){
		return true;
	}
	if(months == '02' && !(year % 4) && days > 29){
		return true;
	}
	if(months == '02' && (year % 4) && days > 28){
		return true;
	}
	return false;
}

function checkKategoryForm(){
	regExpNotNull = /\S+/;
	if(!regExpNotNull.test(f.nazev.value)){
		alert("Zadejte název kategorie");
		f.nazev.focus();
		return false;
	}
}

function checkGoodsForm(){
	regExpNotNull = /\S+/;
	if(!regExpNotNull.test(f.nazev.value)){
		alert("Zadejte název zboží");
		f.nazev.focus();
		return false;
	}
}

function checkItemsForm(){
	regExpNotNull = /\S+/;
	if(!regExpNotNull.test(f.id.value)){
		alert("Zadejte kód položky");
		f.id.focus();
		return false;
	}
	if(!regExpNotNull.test(f.nazev.value)){
		alert("Zadejte název položky");
		f.nazev.focus();
		return false;
	}
}

function checkSaleForm(checkItem){
	regExpNotNull = /\S+/;
	if(checkItem){
		if(!regExpNotNull.test(f.polozka.value)){
			alert("Zadejte položku");
			f.polozka.focus();
			return false;
		}
	}
	if(!regExpNotNull.test(f.cena.value)){
		alert("Zadejte cenu");
		f.cena.focus();
		return false;
	}
}

function checkLoginChange(){
	regExpNotNull = /\S+/;
	regExpPassword = /\S{6,}/;
	regExpPhone = /\d{9}/;
	regExpMail = /\S+@\S+\.\S+/;
	if(!regExpNotNull.test(f.obchodni_jmeno.value)){
		alert("Zadejte prosím obchodní jméno");
		f.obchodni_jmeno.focus();
		return false;
	}
	if(!regExpNotNull.test(f.uzivatelske_jmeno.value)){
		alert("Zadejte prosím uživatelské jméno");
		f.uzivatelske_jmeno.focus();
		return false;
	}
	if(!regExpPassword.test(f.heslo.value) && f.heslo.value != ""){
		alert("Zadejte prosím heslo ve správné délce");
		f.heslo.focus();
		return false;
	}
	if(!regExpNotNull.test(f.kontaktni_osoba.value)){
		alert("Zadejte prosím kontaktní osobu");
		f.kontaktni_osoba.focus();
		return false;
	}
	if(!regExpNotNull.test(f.ulice.value)){
		alert("Zadejte prosím ulici");
		f.ulice.focus();
		return false;
	}
	if(!regExpNotNull.test(f.obec.value)){
		alert("Zadejte prosím obec");
		f.obec.focus();
		return false;
	}
	if(!regExpPhone.test(f.telefon.value)){
		alert("Zadejte prosím telefon ve správném tvaru");
		f.telefon.focus();
		return false;
	}
	if(!regExpMail.test(f.mail.value)){
		alert("Zadejte prosím e-mail ve správném tvaru");
		f.mail.focus();
		return false;
	}
	if(!regExpNotNull.test(f.ico.value)){
		alert("Zadejte prosím IČO");
		f.ico.focus();
		return false;
	}
	if(f.heslo.value != f.heslo_potvrzeni.value){
		alert("Zadaná hesla se neshodují");
		f.heslo.value = "";
		f.heslo_potvrzeni.value = "";
		f.heslo.focus();
		return false;
	}
}

function checkCatalogImport(){
	regExpNotNull = /\S+/;
	if(!regExpNotNull.test(f.catalog.value)){
		alert("Zadejte soubor importu");
		f.catalog.focus();
		return false;
	}
}

function checkAdminChange(){
	regExpNotNull = /\S+/;
	if(!regExpNotNull.test(f.plosna_sleva.value)){
		alert("Zadejte soubor importu");
		f.plosna_sleva.focus();
		return false;
	}
	if(!regExpNotNull.test(f.lhuta_splatnosti.value)){
		alert("Zadejte soubor importu");
		f.lhuta_splatnosti.focus();
		return false;
	}
}

function checkMailSend(){
	regExpNotNull = /\S+/;
	if(!regExpNotNull.test(f.odesilatel.value)){
		alert("Zadejte odesilatele");
		f.odesilatel.focus();
		return false;
	}
	if(!regExpNotNull.test(f.predmet.value)){
		alert("Zadejte předmět");
		f.predmet.focus();
		return false;
	}
	if(!regExpNotNull.test(f.text.value)){
		alert("Zadejte text");
		f.text.focus();
		return false;
	}
}

function checkNewsForm(){
	regExpNotNull = /\S+/;
	if(!regExpNotNull.test(f.text.value)){
		alert("Zadejte text");
		f.text.focus();
		return false;
	}
	if(regExpNotNull.test(f.platnost_od.value) && checkDate(f.platnost_od.value)){
		alert("Chybý formát data");
		f.platnost_od.focus();
		return false;
	}
	if(regExpNotNull.test(f.platnost_do.value) && checkDate(f.platnost_do.value)){
		alert("Chybý formát data");
		f.platnost_do.focus();
		return false;
	}
}

function checkPromoForm(){
	regExpNotNull = /\S+/;
	if(controlOpened()){
		return false;
	}
	if(!regExpNotNull.test(f.nazev.value)){
		alert("Zadejte nadpis");
		f.nazev.focus();
		return false;
	}
	if(!regExpNotNull.test(f.polozky.value)){
		alert("Zadejte položky");
		f.polozky.focus();
		return false;
	}
	if(regExpNotNull.test(f.platnost_od.value) && checkDate(f.platnost_od.value)){
		alert("Chybý formát data");
		f.platnost_od.focus();
		return false;
	}
	if(regExpNotNull.test(f.platnost_do.value) && checkDate(f.platnost_do.value)){
		alert("Chybý formát data");
		f.platnost_do.focus();
		return false;
	}
}

function checkWinnersForm(){
	regExpNotNull = /\S+/;
	if(!regExpNotNull.test(f.spolecnost.value)){
		alert("Zadejte společnost");
		f.spolecnost.focus();
		return false;
	}
	if(checkDate(f.datum.value)){
		alert("Chybý formát data");
		f.datum.focus();
		return false;
	}
}

function checkJobForm(){
	regExpNotNull = /\S+/;
	if(!regExpNotNull.test(f.nazev.value)){
		alert("Zadejte název");
		f.nazev.focus();
		return false;
	}
	if(!regExpNotNull.test(f.pozadujeme.value)){
		alert("Zadejte požadavky");
		f.pozadujeme.focus();
		return false;
	}
	if(!regExpNotNull.test(f.nabizime.value)){
		alert("Zadejte nabídku");
		f.nabizime.focus();
		return false;
	}
}